Subject: Re: bug#72003: 29.3; Drag and drop in Emacs 29 on macOS

From: Alan Third <[email-masked]>
Date: Fri, 26 Jul 2024 20:44:26 +0100

On Sat, Jul 13, 2024 at 03:49:48PM -0400, Giah de Barag wrote:
> On Jul 13, 2024, at 06:50, Alan Third <[email-masked]> wrote:
> 
> > On Fri, Jul 12, 2024 at 08:46:11PM -0400, Giah de Barag wrote:
> >> On Jul 12, 2024, at 20:38, Giah de Barag <[email-masked]> wrote:
> >> 
> >>> On Jul 12, 2024, at 08:29, Robert Pluim <[email-masked]> wrote:
> >>> 
> >>>> You mean the MAC_OS_X_VERSION_MIN_REQUIRED? It looks like
> >>>> that influences how Emacs interacts with the PasteBoard.
> >>>> 
> >>>> Giah, did you build your emacsen yourself? Or are these from
> >>>> homebrew or similar?
> >>>> 
> >>>> Thanks
> >>>> 
> >>>> Robert
> >>> 
> >>> Yes, these are from homebrew. Thanks.
> >> 
> >> Sorry, I spoke too soon. These are all from emacsformacosx.com.
> > 
> > I'm not quite up to date on the status of the various macOS builds,
> > but it might be worth trying Jim's build:
> > 
> >    https://github.com/jimeh/emacs-builds
> > 
> > or try building it yourself.
> 
> In Jim’s build, yes, drag and drop works, but it still does this:

Hmm, that makes me think that the issue is something to do with
David's build scripts for emacsformacosx.com. You could try reporting
it to him if you want. I think the bug reporting info is on the
website.

> 1. C-h k (describe-key)
> 
> 2. Drag and drop something into the text
>    area of the window.
> 
> 3. Emacs incorrectly complains:
>    "Position not in text area of window"

I'm not sure but you may have to drop into the minibuffer while using
describe-key.

> And PDF viewing is broken on Jim’s build (DocView complains “the pdf
> process exited abnormally”).

I'm not sure what's needed there. You could again try reporting it to
Jim directly.

The alternative is trying to build it yourself, which is actually
relatively easy if you're already using homebrew or macports.

Sorry for the long delay in replying.
-- 
Alan Third